global.remove_recipes_output(global.recipes);

let craftingRecipes = [
	'thermal:iron_gear',
	'thermal:gold_gear',
	'thermal:diamond_gear',
	'thermal:emerald_gear',
	'thermal:netherite_gear',
	'thermal:lapis_gear',
	'thermal:quartz_gear',
	'thermal:copper_gear',
	'thermal:tin_gear',
	'thermal:lead_gear',
	'thermal:silver_gear',
	'thermal:invar_gear',
	'thermal:steel_gear',
	'thermal:nickel_gear',
	'thermal:enderium_gear',
	'thermal:lumium_gear',
	'thermal:signalum_gear',
	'thermal:electrum_gear',
	'thermal:bronze_gear',
	'thermal:brass_gear',
	'thermal:rose_gold_gear',
	'thermal:constantan_gear',
]

global.remove_recipes_output_type_crafting(craftingRecipes);

// Removal by id
ServerEvents.recipes(event => {
	// Molten debris from foundry melting diamond ore
	event.remove({ id: 'tconstruct:smeltery/melting/diamond/ore_singular' });

	event.remove({ id: '/^create:cutting/', output: '#forge:wires' }) // removing sawing, because there is also rolling

	event.remove({ id: '/^thermal:fire_charge/' })

})
